---
title: IntersectionObserver.unobserve()
slug: Web/API/IntersectionObserver/unobserve
tags:
  - API
  - Intersection Observer
  - Intersection Observer API
  - IntersectionObserver
  - Method
  - Reference
  - unobserve
---
<div>{{APIRef("Intersection Observer API")}}</div>

<p><span class="seoSummary">The {{domxref("IntersectionObserver")}} method <code><strong>unobserve()</strong></code> instructs the <code>IntersectionObserver</code> to stop observing the specified target element.</span></p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>IntersectionObserver</em>.unobserve(<em>target</em>);</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt><code>target</code></dt>
 <dd>The {{domxref("Element")}} to cease observing. If the specified element isn't being observed, this method does nothing and no exception is thrown.</dd>
</dl>

<h3 id="Return_value">Return value</h3>

<p><code>undefined</code>.</p>

<h2 id="Example">Example</h2>

<p>This snippet shows an observer being created, an element being observed, and then being unobserved.</p>

<pre class="brush: js">var observer = new IntersectionObserver(callback);
observer.observe(document.getElementById("elementToObserve"));

/* ... */

observer.unobserve(document.getElementById("elementToObserve"));</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('IntersectionObserver','#dom-intersectionobserver-unobserve','IntersectionObserver.unobserve()')}}</td>
   <td>{{Spec2('IntersectionObserver')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p class="hidden">The compatibility table in this page is generated from structured data. If you'd like to contribute to the data, please check out <a href="https://github.com/mdn/browser-compat-data">https://github.com/mdn/browser-compat-data</a> and send us a pull request.</p>

<p>{{Compat("api.IntersectionObserver.unobserve")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/Intersection_Observer_API">Intersection Observer API</a></li>
 <li>{{domxref("IntersectionObserver.observe()")}}</li>
</ul>
